\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\clip(-2,-1) rectangle (5,3);
\fill[line width=1pt,fill=J1] (0,0) -- (4,0) -- (4,2) -- cycle;
\fill[line width=1pt,fill=G1] (-0.896,1.792) -- (0,0) -- (4,2) -- cycle;
\draw[line width=0.8pt] (4,0.42426406871192857) -- (3.5757359312880714,0.4242640687119286) -- (3.5757359312880714,0) -- (4,0) -- cycle; 
\draw[line width=0.8pt] (0.37947331922020555,0.18973665961010278) -- (0.1897366596101028,0.5692099788303083) -- (-0.18973665961010278,0.37947331922020555) -- (0,0) -- cycle; 
\draw [line width=1pt] (0,0)-- (4,0);
\draw [line width=1pt] (4,0)-- (4,2);
\draw [line width=1pt] (4,2)-- (0,0);
\draw [line width=1pt] (-0.896,1.792)-- (0,0);
\draw [line width=1pt] (0,0)-- (4,2);
\draw [line width=1pt] (4,2)-- (-0.896,1.792);
\draw (-0.25,-0.25) node {$G$};
\draw (4.25,-0.25) node {$H$};
\draw (4.25,2.25) node {$E$};
\draw (-1.25,2.25) node {$F$};
\end{tikzpicture}
\end{document}